org.eclipse.ecf.core.provider

## Class ContainerInstantiatorUtils

- java.lang.Object
- - org.eclipse.ecf.core.provider.ContainerInstantiatorUtils

    public class ContainerInstantiatorUtils
    extends Object

Since:
  3.9

### Field Summary

Fields
`static String` `PRIVATE_INTENT`

### Constructor Summary

Constructors
Constructor and Description
`ContainerInstantiatorUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `checkPrivate(ID serverID)`
`static void` `checkPrivate(InetAddress inetAddress)`
`static void` `checkPrivate(String hostname)`
`static boolean` `containsIntent(String[] intents, String intent)`
`static boolean` `containsPrivateIntent(Map<String,?> properties)`
`static boolean` `containsPrivateIntent(String[] intents)`
`static String[]` `getContainerIntents(Map<String,?> properties)`
`static String[]` `getStringArrayProperty(Map properties, String key)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PRIVATE_INTENT

    public static final String PRIVATE_INTENT

See Also:
  Constant Field Values

### Constructor Detail

#### ContainerInstantiatorUtils

    public ContainerInstantiatorUtils()

### Method Detail

#### getContainerIntents

    public static String[] getContainerIntents(Map<String,?> properties)

Since:
  3.9

#### containsIntent

    public static boolean containsIntent(String[] intents,
                                         String intent)

Since:
  3.9

#### containsPrivateIntent

    public static boolean containsPrivateIntent(String[] intents)

Since:
  3.9

#### containsPrivateIntent

    public static boolean containsPrivateIntent(Map<String,?> properties)

Since:
  3.9

#### getStringArrayProperty

    public static String[] getStringArrayProperty(Map properties,
                                                  String key)

Since:
  3.9

#### checkPrivate

    public static void checkPrivate(InetAddress inetAddress)
                             throws ContainerIntentException

Throws:
  `ContainerIntentException`
Since:
  3.9

#### checkPrivate

    public static void checkPrivate(String hostname)
                             throws ContainerIntentException

Throws:
  `ContainerIntentException`
Since:
  3.9

#### checkPrivate

    public static void checkPrivate(ID serverID)
                             throws ContainerIntentException

Throws:
  `ContainerIntentException`
Since:
  3.9